Subject: bug#806: overlay display artifact: trace left behind

From: Jason Rumney <[email-masked]>
Date: Tue, 09 Dec 2008 23:36:05 +0800

Hi Drew,

Do you still see the bug below? I tried to follow your recipe, but the 
behaviour I saw was sufficiently different from that described that I am 
not sure that my tests are conclusive.

> Package: emacs,w32
>
> (Filing a report for old item from FOR-RELEASE.)
>
> http://lists.gnu.org/archive/html/emacs-devel/2006-08/msg00439.html
>
> Initial report (todo: verify new font backend eliminates this and other
> Cleartype related problems):
>
>     1. emacs -Q
>
>     2. Load this file: http://www.emacswiki.org/cgi-bin/wiki/mouse%2b.el
>
>     3. Customize this face to have a red foreground:
>     `mouse-flash-position'. (The default, yellow, is not very visible
>     against an emacs -Q background.)
>
>     4. M-: (global-set-key [down-mouse-2] 'mouse-flash-position)
>
>     5. Select some text (e.g. a word), for yanking elsewhere.
>
>     6. Put the mouse on some line of text. Press `mouse-2' and hold it
>     pressed. Move the mouse along the text without releasing the button.
>     Release it to finish the yank.
>
>     When you press `mouse-2', the yank position is highlighted. When you
>     move the mouse, the highlight moves with the mouse. But vestigial
>     overlay traces are left behind.
>
>
>
>
>